#ifndef MSCBUILDPARAMS_H
#define MSCBUILDPARAMS_H

#include <QMetaType>
#include <optional>

#include "device-modules/MscInput/MscInputStatus.h"
#include "device-modules/MscHist/MscHistStatus.h"

struct MscBuildParams
{
    bool operator==(const MscBuildParams &r) const;

    std::optional<MscInputBuildParams> mscInput;
    std::optional<MscHistBuildParams> mscHist;
};
Q_DECLARE_METATYPE(MscBuildParams);

#endif // MSCBUILDPARAMS_H
