#ifndef DEVICEDYNAMICSTATEFILTERPROXYMODEL_H
#define DEVICEDYNAMICSTATEFILTERPROXYMODEL_H

#include <QSortFilterProxyModel>

class DeviceDynamicStateFilterProxyModel : public QSortFilterProxyModel
{
    Q_OBJECT
public:
    DeviceDynamicStateFilterProxyModel(QObject* parent = nullptr);

    void setFilter(bool en, bool dynamic) {
        enabled = en;
        show_dynamic = dynamic;
    }

protected:
    bool filterAcceptsRow(int sourceRow, const QModelIndex &sourceParent) const override;

private:
    bool enabled;
    bool show_dynamic;
};

#endif // DEVICEDYNAMICSTATEFILTERPROXYMODEL_H
