#ifndef ADCDATATESTSTATUS_H
#define ADCDATATESTSTATUS_H

#include <QtCore>

struct AdcPatternStatus
{
//    int adcNCh=0;
    quint64 failedChMask_lo=0;
    quint64 failedChMask_hi=0;
    quint64 testCnt=0;
};

struct AdcDataTestStatus
{
    friend bool operator==(const AdcDataTestStatus &, const AdcDataTestStatus &) = default;

    bool isValid() const;
    quint32 id = 0;
    quint64 testCnt = 0;
    quint64 failedChMask_lo = 0;
    quint64 failedChMask_hi = 0;
};

#endif // ADCDATATESTSTATUS_H
