/*
**    Copyright 2022 Ilia Slepnev
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef SDBDEVICEMODULE_H
#define SDBDEVICEMODULE_H

#include "AbstractEasyDeviceModule.h"

struct sdb_t;
enum AFI_SDB_ID : uint32_t;

class SdbDeviceModule : public AbstractEasyDeviceModule
{
public:
    explicit SdbDeviceModule(const MregBusInterface &bus)
        : AbstractEasyDeviceModule(bus) {}

    void init_impl();
    void deinit() override;
    void post_init() override {}

    //sdb_device getSdbDevice() const { return bus.sdbDevice; }
};

#endif // SDBDEVICEMODULE_H
