#include "TrcCoreConfig.h"

#include "device-modules/RcTrig/RcTrigConfig.h"

void TrcCoreConfig::unifyAuxTrig()
{
    static const QMap<RcTrigConfig::TrigMask, PhysicalTriggerConfig::ChMask> trigToCh = {
        {RcTrigConfig::TrigMaskRandom, PhysicalTriggerConfig::ChMaskRandom},
        {RcTrigConfig::TrigMaskTimer, PhysicalTriggerConfig::ChMaskTimer},
        {RcTrigConfig::TrigMaskTtl_1, PhysicalTriggerConfig::ChMaskExt}
    };
    for(auto it=trigToCh.cbegin(); it!=trigToCh.cend(); ++it) {
        if(phyTrig.trig.trigSrc & it.key()) {
            phyTrig.startChMask |= it.value();
            phyTrig.readChMask |= it.value();
        } else {
            phyTrig.startChMask &= ~it.value();
            phyTrig.readChMask &= ~it.value();
        }
    }
}
