#ifndef MONGOCOLLECTION_H
#define MONGOCOLLECTION_H

#include <QMetaType>
#include <QString>

class MongoCollection {
public:
    MongoCollection( QString name = "") :
        name(name)
    {}

    bool isSaved() const;
    bool isHistory() const;
    bool isTest() const;
    void clear(){
        name.clear();
    }
    QString toString() const;

    bool operator == (const MongoCollection &col) const {
        return (col.name == name);
    }

    QString name;
};
Q_DECLARE_METATYPE(MongoCollection);

#endif // MONGOCOLLECTION_H
