#ifndef MONGOPIPELINE_H
#define MONGOPIPELINE_H

#ifndef Q_MOC_RUN
#include <mongocxx/client.hpp>
#endif

class QJsonObject;
class QString;

class MongoPipeline
{
public:
    MongoPipeline();
    const mongocxx::pipeline & get_pipeline();
    void group(const QJsonObject &obj);
    void match(const QJsonObject &obj);
    void project(const QJsonObject &obj);
    void sort(QString field, bool ascending);

private:
    mongocxx::pipeline p{};
};

#endif // MONGOPIPELINE_H
