#include "TaiTime.h"

#include <QDateTime>
#include <QDebug>

QString TaiTime::toString() const
{
    return QString("%1.%2")
            .arg(QDateTime::fromSecsSinceEpoch(sec).toString("dd.MM.yyyy hh:mm:ss"))
            .arg(ns, 9, 10, QChar('0'));
}

QDebug operator<<(QDebug stream, const TaiTime &tai)
{
    return stream << tai.toString();
}
