#ifndef MSCSTREAMCONFIG_H
#define MSCSTREAMCONFIG_H

#include <QMetaType>
#include <QVector>

struct MscStreamConfig
{
    bool en=false;
    bool useMask=false;
    quint16 timeout=100; // ms
    quint32 slice=10;    // ns
    QVector<bool> ceMonitor; // External count enable monitor
};
Q_DECLARE_METATYPE(MscStreamConfig)

bool operator==(const MscStreamConfig &l, const MscStreamConfig &r);
QDebug operator<<(QDebug dbg, const MscStreamConfig &s);
QDataStream &operator<<(QDataStream &out, const MscStreamConfig &r);
QDataStream &operator>>(QDataStream &in, MscStreamConfig &r);

#endif // MSCSTREAMCONFIG_H
