#ifndef PHISICALTRIGGERSTATUS
#define PHISICALTRIGGERSTATUS

#include "device-modules/RcCounters/RcCounters.h"
#include "device-modules/SpillControl/SpillStatus.h"

struct PhysicalTriggerBuildParams
{
    uint8_t auxChNum = 0;
    uint8_t phyChNum = 0;
};

struct PhysicalTriggerStatus
{
    void clear() {
        spill = {};
        rcCounters.clear();
    }

    SpillStatus spill;
    BaseDevCountersMap rcCounters;
};

#endif // PHISICALTRIGGERSTATUS
