#ifndef CONFIGLISTTREEVIEW_H
#define CONFIGLISTTREEVIEW_H

#include <QTreeView>

class ConfigListTreeView : public QTreeView
{
    Q_OBJECT
public:
    explicit ConfigListTreeView(QWidget *parent = nullptr);

signals:
    void currentCfgIndexChanged(const QModelIndex &current);

protected Q_SLOTS:
    virtual void currentChanged(const QModelIndex &current, const QModelIndex &previous) override;
};

#endif // CONFIGLISTTREEVIEW_H
